require "omniauth_proxy/railtie"
require "omniauth/strategies/proxy"

if ENV["OMNIAUTH_PROXY_ENABLED"].present?
  if defined?(OmniAuth::Strategies::GitHub)
    p "Patching GitHub OmniAuth Strategy"

    class OmniAuth::Strategies::GitHub
      def callback_url
        request.params['redirect_uri'] || super
      end
    end
  end

  if defined?(OmniAuth::Strategies::Auth0)
    p "Patching Auth0 OmniAuth Strategy"

    class OmniAuth::Strategies::Auth0
      def callback_url
        request.params['redirect_uri'] || super
      end
    end
  end
end


module OmniauthProxy
end
